Template search results list should contain each template's descripton
Closed, ResolvedPublic

Description

Author: turingt

Description:
See this feedback trhead: [ https://en.wikipedia.org/wiki/Wikipedia:VisualEditor/Feedback#Observation_-_Template_Editor_behavior_improved ]

The search results for parameters include each parameter's description, making it easy to select the right one.

But the templates list result contains only the template name, even though the template description is available (it's shown right 'after' a template is selected, so it doesn't help in choosing the right template).

So, add the template description to the search results list.


Version: unspecified
Severity: enhancement
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=51774

bzimport set Reference to bz51436.
bzimport created this task.Via LegacyJul 16 2013, 1:20 PM
jayvdb added a comment.Via ConduitJul 22 2013, 3:09 AM

Also typing in 'new' into the New template box returns a list of 10 templates starting with 'new', with no way to scroll through the longer list of templates starting/containing with 'New'

https://en.wikipedia.org/wiki/Special:PrefixIndex/Template:New

More practical, 'New Zealand' or 'New York' only returns 10, and the user may not know the right keyword needed to return better results.

bzimport added a comment.Via ConduitJul 22 2013, 2:08 PM

turingt wrote:

Also typing a word only shows template names starting with that word, not containing it, which is a weird search behavior.

If I type "book", template "Cite book" is not shown, which limits the search functionality to be useful only for people who already know template names (i.e. those who don't need it).

Jdforrester-WMF added a comment.Via ConduitJul 22 2013, 3:40 PM

(In reply to comment #2)

Also typing a word only shows template names starting with that word, not
containing it, which is a weird search behavior.

If I type "book", template "Cite book" is not shown, which limits the search
functionality to be useful only for people who already know template names
(i.e. those who don't need it).

That is a distinct enhancement request; please open a new bug for it.

Thryduulf added a comment.Via ConduitJul 22 2013, 3:56 PM

(In reply to comment #3)

> If I type "book", template "Cite book" is not shown, which limits the search
> functionality to be useful only for people who already know template names
> (i.e. those who don't need it).

That is a distinct enhancement request; please open a new bug for it.

Is it distinct or is it part of bug 51670?

Jdforrester-WMF added a comment.Via ConduitJul 22 2013, 4:15 PM

(In reply to comment #4)

(In reply to comment #3)
> > If I type "book", template "Cite book" is not shown, which limits the search
> > functionality to be useful only for people who already know template names
> > (i.e. those who don't need it).
>
> That is a distinct enhancement request; please open a new bug for it.

Is it distinct or is it part of bug 51670?

It's distinct. This is asking for VisualEditor when searching pages (for links), categories (for the category dialog) and templates (for the transclusion dialog) to use an entirely different (and slower) part of MediaWiki's search infrastructure so we can do in-string searching rather than left-string completion.

Thryduulf added a comment.Via ConduitJul 22 2013, 4:50 PM

Thanks for the explanation, I've now reported it as bug 51822.

Jdforrester-WMF changed the title from "VisualEditor: Template search results list should contain each template's descripton" to "Template search results list should contain each template's descripton".Via WebNov 24 2014, 2:52 AM
Jdforrester-WMF set Security to None.
Jdforrester-WMF moved this task to Backlog on the VisualEditor workboard.Via WebNov 24 2014, 2:58 AM
tarlocesilion added a subscriber: tarlocesilion.Via WebMar 15 2015, 5:22 PM
Jdforrester-WMF moved this task to TR9: ???? on the VisualEditor workboard.Via WebMar 18 2015, 1:13 AM
Mvolz added a subscriber: Mvolz.Via WebMar 25 2015, 4:57 PM
gerritbot added a subscriber: gerritbot.Via ConduitApr 10 2015, 8:30 PM

Change 203459 had a related patch set uploaded (by Mooeypoo):
Show template description in the template search

https://gerrit.wikimedia.org/r/203459

gerritbot added a project: Patch-For-Review.Via ConduitApr 10 2015, 8:30 PM
Mooeypoo claimed this task.Via WebApr 13 2015, 6:02 PM
Jdforrester-WMF moved this task to TR5: ???? on the VisualEditor workboard.Via WebApr 16 2015, 9:15 PM
gerritbot added a comment.Via ConduitApr 17 2015, 9:28 AM

Change 203459 merged by jenkins-bot:
Show template description in the template search

https://gerrit.wikimedia.org/r/203459

Jdforrester-WMF closed this task as "Resolved".Via WebApr 17 2015, 3:42 PM
Jdforrester-WMF set Story Points to 8.
Jdforrester-WMF moved this task to Done on the VisualEditor 2014/15 Q4 blockers workboard.
Jdforrester-WMF moved this task to Done on the VisualEditor workboard.Via WebApr 17 2015, 11:50 PM
Ryasmeen added a subscriber: Ryasmeen.Via WebApr 20 2015, 10:28 PM

Verified the fix in Betalabs

gpaumier moved this task to Announce in next Tech/News on the user-notice workboard.Via WebApr 23 2015, 9:17 PM
gpaumier moved this task to In current Tech News draft on the user-notice workboard.Via WebApr 23 2015, 9:47 PM
gpaumier moved this task to Recently announced in Tech/News on the user-notice workboard.Via WebApr 27 2015, 3:43 PM
gpaumier moved this task to Archive on the user-notice workboard.Via WebApr 30 2015, 8:11 PM

Add Comment